# Interface IIndentAttributesProperties

#### Hierarchy

- IIndentAttributesProperties

- Defined in file/paragraph/formatting/indent.ts:5

#####
Index

### Properties

end?
firstLine?
hanging?
left?
right?
start?

## Properties

### `Optional` `Readonly` end

end?: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi` | `-${number}mm` | `-${number}cm` | `-${number}in` | `-${number}pt` | `-${number}pc` | `-${number}pi`

- Defined in file/paragraph/formatting/indent.ts:7

### `Optional` `Readonly` firstLine

firstLine?: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`

- Defined in file/paragraph/formatting/indent.ts:11

### `Optional` `Readonly` hanging

hanging?: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`

- Defined in file/paragraph/formatting/indent.ts:10

### `Optional` `Readonly` left

left?: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi` | `-${number}mm` | `-${number}cm` | `-${number}in` | `-${number}pt` | `-${number}pc` | `-${number}pi`

- Defined in file/paragraph/formatting/indent.ts:8

### `Optional` `Readonly` right

right?: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi` | `-${number}mm` | `-${number}cm` | `-${number}in` | `-${number}pt` | `-${number}pc` | `-${number}pi`

- Defined in file/paragraph/formatting/indent.ts:9

### `Optional` `Readonly` start

start?: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi` | `-${number}mm` | `-${number}cm` | `-${number}in` | `-${number}pt` | `-${number}pc` | `-${number}pi`

- Defined in file/paragraph/formatting/indent.ts:6

Generated using TypeDoc